Skip to main content
GET
/
api
/
v1
/
contracts
/
{contractId}
Get contract
curl --request GET \
  --url https://api.contracting.kukkingu.software/api/v1/contracts/{contractId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "ctr_z23aoo8naxk68ewcr64tchh5",
    "client": "clnt_z2b3mo8qa5kzptgsu26q2wmh",
    "name": "Standard Service Contract",
    "amountMinor": 5000,
    "currencyCode": "EUR",
    "createdAt": "2023-10-05T14:48:00.000Z",
    "updatedAt": "2023-10-05T14:48:00.000Z",
    "description": "This contract covers standard service terms and conditions.",
    "order": 13,
    "validFrom": "2023-10-05T14:48:00.000Z",
    "validTo": "2023-10-05T14:48:00.000Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contractId
string
required

The ID of the contract.

Example:

"ctr_z23aoo8naxk68ewcr64tchh5"

Query Parameters

expand
string

Comma-separated list of relations to expand. Allowed values: client.

Example:

"client"

Response

Default Response

Standard success response payload wrapped in a data property.

data
object
required

Contract resource returned by the API.